package syncdata

type PlayerInfo struct {
	Id     string `json:"id"`
	Name   string `json:"name"`
	IsIdle bool   `json:"isIdle"`
}

type GameInfo struct {
	GameId  string       `json:"id"`
	State   string       `json:"state"`
	Players []PlayerInfo `json:"players"`
}

type SyncData struct {
	VersionRef int      `json:"version"`
	GameInfo   GameInfo `json:"game"`
}
